Package org.eclipse.birt.chart.render

# Interface IActionRenderer

All Known Implementing Classes:
  `ActionRendererAdapter`

public interface IActionRenderer
This interface defines the methods to process the trigger actions during rendering.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AXIS_LABEL`
`static final String`
`LEGEND_ITEM_DATA`
`static final String`
`LEGEND_ITEM_TEXT`
Expression evaluated in Legend trigger action.
`static final String`
`LEGEND_ITEM_VALUE`

## Method Summary

Modifier and Type
Method
Description
`void`
`processAction(Action action, StructureSource source)`
Deprecated.
use `processAction(Action, StructureSource, RunTimeContext)` instead
`void`
`processAction(Action action, StructureSource source, RunTimeContext rtc)`
Process the action with given source object.

## Field Details

### LEGEND_ITEM_DATA

static final String LEGEND_ITEM_DATA

See Also:
  - Constant Field Values

### LEGEND_ITEM_TEXT

static final String LEGEND_ITEM_TEXT
Expression evaluated in Legend trigger action.

See Also:
  - Constant Field Values

### LEGEND_ITEM_VALUE

static final String LEGEND_ITEM_VALUE

See Also:
  - Constant Field Values

### AXIS_LABEL

static final String AXIS_LABEL

See Also:
  - Constant Field Values

## Method Details

### processAction

void processAction(Action action, StructureSource source, RunTimeContext rtc)
Process the action with given source object.

Parameters:
  `action` - Action Object.
  `source` - Source Object
  `rtc` - chart runtime context

### processAction

@Deprecated void processAction(Action action, StructureSource source)
Deprecated.
use `processAction(Action, StructureSource, RunTimeContext)` instead
Process the action with given source object.

Parameters:
  `action` - Action Object.
  `source` - Source Object